Botan 2.13.0 Crypto and TLS for C++11

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Namespaces | Functions
commoncrypto_utils.h File Reference
`#include <botan/key_spec.h>`
`#include <CommonCrypto/CommonCrypto.h>`

Go to the source code of this file.

## Classes
struct | Botan::CommonCryptor_Opts

## Namespaces
| Botan

## Functions
void | Botan::commoncrypto_adjust_key_size (const uint8_t key[], size_t length, const CommonCryptor_Opts &opts, secure_vector< uint8_t > &full_key)
CommonCryptor_Opts | Botan::commoncrypto_opts_from_algo (const std::string &algo)